Espacios de nombres
Variantes
Acciones

std::bad_exception

De cppreference.com
< cpp‎ | error

 
 
Utilidades de la biblioteca
Escriba apoyo (basic types, RTTI, type traits)
Gestión de memoria dinámica
Gestión de errores
Programa de servicios públicos
Funciones variadic
Fecha y hora
Objetos Function
(C++11)
Operadores relacionales
Original:
Relational operators
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
Pares y tuplas
Original:
Pairs and tuples
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
(C++11)
Cambiar, hacia adelante y mover
Original:
Swap, forward and move
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
(C++11)
(C++11)
(C++11)
 
Gestión de errores
Manejo de excepciones
Original:
Exception handling
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
Fallas de control de excepciones
Original:
Exception handling failures
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
(obsoleto)
bad_exception
(C++11)(obsoleto)
(obsoleto)
Categorías excepción
Original:
Exception categories
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
Los códigos de error
Original:
Error codes
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
Los códigos de error
Las afirmaciones
Original:
Assertions
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
instalación SYSTEM_ERROR
Original:
system_error facility
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
(C++11)
(C++11)
 
Definido en la cabecera <exception>
class bad_exception;
std::bad_exception es el tipo de la excepción lanzada por el tiempo de ejecución de C + + en las siguientes situaciones:
Original:
std::bad_exception is the type of the exception thrown by the C++ runtime in the following situations:
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
1)
Si un especificación de excepciones dinámicas es violada y std::unexpected tira o vuelve a lanzar una excepción que aún viola la especificación de excepciones, sino que permite la especificación de excepciones std::bad_exception, std::bad_exception se lanza .
Original:
If a especificación de excepciones dinámicas is violated and std::unexpected throws or rethrows an exception that still violates the exception specification, but the exception specification allows std::bad_exception, std::bad_exception is thrown.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
2)
Si std::exception_ptr almacena una copia de la excepción detectada y si el constructor copia del objeto de excepción detectada por current_exception produce una excepción, la excepción capturada es una instancia de std::bad_exception .
Original:
If std::exception_ptr stores a copy of the caught exception and if the copy constructor of the exception object caught by current_exception throws an exception, the captured exception is an instance of std::bad_exception.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
cpp/error/exceptionstd-bad exception-inheritance.svg
Acerca de esta imagen

Inheritance diagram

Contenido

[editar] Las funciones miembro

construye el objeto bad_exception
Original:
constructs the bad_exception object
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

(función miembro público)
copia el objeto
Original:
copies the object
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

(función miembro público)
[virtual]
devuelve la cadena de motivos
Original:
returns the explanatory string
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

(función miembro público virtual)

Inherited from std::exception

Member functions

[virtual]
destructs el objeto de excepción
Original:
destructs the exception object
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

(función miembro público virtual de std::exception) [editar]
[virtual]
devuelve una cadena explicativa
Original:
returns an explanatory string
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

(función miembro público virtual de std::exception) [editar]

[editar] Ejemplo

#include <iostream>
#include <exception>
#include <stdexcept>
 
void my_unexp() { throw; }
 
void test() throw(std::bad_exception)
{
    throw std::runtime_error("test");
}
 
int main()
{
    std::set_unexpected(my_unexp);
    try {
         test();
    } catch(const std::bad_exception& e)
    {
        std::cerr << "Caught " << e.what() << '\n';
    }
}

Salida:

Caught std::bad_exception